<?
/////////////////////////////////////////////////////////////////////////////////////
// Poll                                                                            //
// ----                                                                            //
//                                                                                 //
// File Name: poll.php                                                             //
// Additional File:                                                                //
//   - poll_conf.inc (configuration file)                                          //
//   - poll_func.inc (definition of frequently used function)                      //
//   - poll_add_vote.inc (definition of the adding vote function)                  //
//   - poll_vote.php (the script that shows the question and adds your vote)       //
//   - poll_view.php (the script that shows the statistics and the total votes)    //
//   - poll_admin/poll_admin.php (administrator page)                              //
//   - poll_admin/poll_admin_conf.inc (administrator configuration)                //
//   - poll_admin/poll_admin_login.php (login to the administrator page)           //
//   - poll_admin/poll_admin_action.inc (manages the actions of the administrator) //
//                                                                                 //
// What Does It Do?                                                                //
//   This script manages a poll. The main page shows a list of all the questions in//
//   the poll, so you can choose a question and vote or see the total votes on it. //
//   You can only vote once to each question (and the script recognizes you by your//
//   IP address).                                                                  //
//   In the administrator part: You have to give the login name and the password in//
//   order to connect to the administrator page (using session when you logon). In //
//   that part you can add new poll questions with various number of choices (but  //
//   at least 2), or you can remove questions from the poll.                       //
//                                                                                 //
// How It Works?                                                                   //
//   The program is based on a database with 3 tables: polls (the questions only), //
//   polls_alternatives (the alternatives of all the questions) and                //
//   polls_votes_addresses (containing the IP addresses of the voters). When you   //
//   make a vote on a question the program checks to see if your IP address appears//
//   in the table saying you already voted for that question. If you are not found //
//   (you vote for the first time), the program considers your vote and adds you in//
//   the IP address list, but if you are found to vote that question before, the   //
//   program will print you a message and will not consider your other votes.      //
//   In the administrator part, we must logon to use the administrator page. Once  //
//   logged a session is created to determine you already logged on and you can do //
//   administrator actions. For any action you commit in the administrator page,   //
//   the program changes your database tables.                                     //
//                                                                                 //
// MySQL DB:                                                                       //
//   * polls:                                                                      //
//     - id (the poll's id)                                                        //
//     - question (the string that contains the question itself)                   //
//   * polls_alternatives:                                                         //
//     - id (the alternative id)                                                   //
//     - alternative (the string contains the alternative to print)                //
//     - votes (the number of votes for the alternative)                           //
//     - poll_id (the id of the poll that this alternative refers to)              //
//   * polls_votes_addresses:                                                      //
//     - ip_address (the IP address of the voter)                                  //
//     - poll_id (the poll id that the user vote for)                              //
//     - alt_id (the alternative id the user choose)                               //
//                                                                                 //
// Data Files: NONE                                                                //
//                                                                                 //
// Installation:                                                                   //
//   Modify the file poll_conf.inc to your setting (your host, DB, user and        //
//   password). Set also the paths to the images that with them you show the bars  //
//   when you view the poll statistics.                                            //
//   Modify the file poll_admin_conf.inc (in poll_admin directory) to have your    //
//   username and password to logon to the administrator page.                     //
//   Run the file poll_DB.sql on your MySQL server to create the tables the program//
//   uses. The run the administrator page (poll_admin/poll_admin.php) to add       //
//   questions to your poll.                                                       //
//                                                                                 //
//                            E N J O Y  !!!                                       //
/////////////////////////////////////////////////////////////////////////////////////


require "poll_func.inc";  //loading the functions (and the configuration variables)

$poll_mysql=ConnectPoll();  //connecting to MySQL DB
?>

<HTML>
<HEAD>
	<TITLE></TITLE>
</HEAD>

<BODY>
<DIV align="right" dir="rtl">

<?
$res=@mysql_query("SELECT * FROM polls ORDER BY id",$poll_mysql);  //gets all the polls we have
echo "<B><U>    :</U></B>\n";
echo "<UL>\n";

while ($arr=@mysql_fetch_array($res))
	echo "<LI><A href=\"poll_vote.php?id=".$arr['id']."\"><B>".$arr['question']."</B></A> - <A href=\"javascript:ShowPoll(".$arr['id'].")\"> </A> (".GetNumberVotes(GetAlternatives($arr['id']))." )</LI>\n";
echo "</UL>\n";
?>

<A href="poll_admin/poll_admin_login.php"> </A>
</DIV>
</BODY>
</HTML>